Plugin Manager offers outdated version of Compare plugin

Internal error.

Oops! Looks like something went wrong!